> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Créer un podcast

POST https://api.elevenlabs.io/v1/studio/podcasts
Content-Type: application/json

Crée et convertit automatiquement un projet de podcast. Actuellement, nous prenons en charge le coût du LLM, mais la génération audio vous sera tout de même facturée. À l'avenir, les coûts du LLM et de la génération audio vous seront facturés.

Reference: https://elevenlabs.io/docs/api-reference/studio/create-podcast

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Headers

- `safety-identifier` (string, optional, nullable) — Utilisé pour la modération. Votre Workspace doit être autorisé pour utiliser cette fonctionnalité.

### Body (application/json)

This endpoint expects a Body_Create_podcast_v1_studio_podcasts_post.

- `model_id` (string, required) — L’ID du modèle à utiliser pour ce projet Studio. Vous pouvez interroger GET /v1/models pour répertorier tous les modèles disponibles.
- `mode` (BodyCreatePodcastV1StudioPodcastsPostMode, required) — Le type de podcast à générer. Peut être « conversation », une interaction entre deux voix, ou « bulletin », un monologue.
- `source` (BodyCreatePodcastV1StudioPodcastsPostSource, required) — Le contenu source du podcast.
- `quality_preset` (enum, optional, nullable) — Output quality of the generated audio. Must be one of: 'standard' - standard output format, 128kbps with 44.1kHz sample rate. 'high' - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. 'ultra' - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. 'ultra_lossless' - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format. If not provided, defaults to the highest quality preset available on your subscription tier.
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `duration_scale` (enum, optional, default: default) — Durée du podcast généré. Doit être l’une des suivantes : short - produit des podcasts de moins de 3 minutes. default - produit des podcasts d’environ 3 à 7 minutes. long - produit des podcasts de plus de 7 minutes.
  - Allowed values: `short`, `default`, `long`
- `language` (string, optional, nullable) — Une langue facultative du projet Studio. Code de langue à deux lettres (ISO 639-1).
- `intro` (string, optional, nullable) — Le texte d’introduction qui sera toujours ajouté au début du podcast.
- `outro` (string, optional, nullable) — Le texte de conclusion qui sera toujours ajouté à la fin du podcast.
- `instructions_prompt` (string, optional, nullable) — Prompt d'instructions supplémentaires pour la génération du podcast, utilisé pour ajuster son style et son ton.
- `highlights` (list of string, optional, nullable) — Bref résumé ou points forts du contenu du projet Studio, présentant les idées ou thèmes principaux. Doit comporter entre 10 et 70 caractères.
- `callback_url` (string, optional, nullable) — Une URL qui sera appelée par notre service lorsque le projet Studio sera converti. La requête contiendra un objet JSON indiquant l’état de la conversion. Messages : 1. Lorsque le projet a été converti avec succès : \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "success", project\_snapshot\_id: "22m00Tcm4TlvDq8ikMAT", error\_details: None, } } 2. Lorsque la conversion du projet a échoué : \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "error", project\_snapshot\_id: None, error\_details: "Détails de l’erreur si la conversion a échoué" } } 3. Lorsque le chapitre a été converti avec succès : \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "success", chapter\_snapshot\_id: "23m00Tcm4TlvDq8ikMAV", error\_details: None, } } 4. Lorsque la conversion du chapitre a échoué : \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "error", chapter\_snapshot\_id: None, error\_details: "Détails de l’erreur si la conversion a échoué" } }
- `apply_text_normalization` (enum, optional, nullable) — Ce paramètre contrôle la normalisation du texte selon quatre modes : « auto », « on », « apply_english » et « off ». Lorsqu’il est défini sur « auto », le système décide automatiquement d’appliquer ou non la normalisation du texte (par exemple, en écrivant les nombres en toutes lettres). Avec « on », la normalisation du texte est toujours appliquée, tandis qu’avec « off », elle est ignorée. « apply_english » est identique à « on », mais suppose que le texte est en anglais.
  - Allowed values: `auto`, `on`, `off`, `apply_english`

## Response

### 200

Réponse réussie

- `project` (ProjectResponseModel, required) — Le projet associé au podcast créé.

## Errors

### 422 Unprocessable Entity Error

Erreur de validation

- `detail` (list of ValidationError, optional)

## Types

### BodyCreatePodcastV1StudioPodcastsPostMode

Le type de podcast à générer. Peut être « conversation », une interaction entre deux voix, ou « bulletin », un monologue.

- PodcastConversationMode: PodcastConversationMode
- PodcastBulletinMode: PodcastBulletinMode

### BodyCreatePodcastV1StudioPodcastsPostSource

Le contenu source du podcast.

- PodcastTextSource: PodcastTextSource
- PodcastURLSource: PodcastURLSource
- list of BodyCreatePodcastV1StudioPodcastsPostSourceOneOf2Items

### ProjectResponseModel

- `project_id` (string, required) — L’ID du projet.
- `name` (string, required) — Le nom du projet.
- `create_date_unix` (integer, required) — Date de création du projet.
- `created_by_user_id` (string, required, nullable) — L’ID utilisateur de la personne ayant créé le projet.
- `default_title_voice_ref_id` (string, required) — L’ID de référence vocale de projet par défaut pour les titres.
- `default_paragraph_voice_ref_id` (string, required) — L’ID de référence vocale de projet par défaut pour les paragraphes.
- `default_model_id` (string, required) — L’ID du modèle par défaut.
- `can_be_downloaded` (boolean, required) — Indique si le projet peut être téléchargé.
- `volume_normalization` (boolean, required) — Indique si le projet utilise la normalisation du volume.
- `state` (enum, required) — L'état du projet.
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — Niveau d’accès du projet.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_check_on` (boolean, required, deprecated) — Indique si le contrôle qualité est activé pour ce projet.
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — Indique si le contrôle qualité est activé pour le projet lors d’une conversion groupée.
- `default_title_voice_id` (string, required, deprecated) — L’ID de voix par défaut pour les titres.
- `default_paragraph_voice_id` (string, required, deprecated) — L’ID de voix par défaut pour les paragraphes.
- `last_conversion_date_unix` (integer, optional, nullable) — La dernière date de conversion du projet.
- `title` (string, optional, nullable) — Le titre du projet.
- `author` (string, optional, nullable) — Auteur du projet.
- `description` (string, optional, nullable) — La description du projet.
- `genres` (list of string, optional, nullable) — Liste des genres du projet.
- `cover_image_url` (string, optional, nullable) — URL de l’image de couverture du projet.
- `target_audience` (enum, optional, nullable) — Le public cible du projet.
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — Code de langue à deux lettres (ISO 639-1) de la langue du projet.
- `content_type` (string, optional, nullable) — Type de contenu du projet, par exemple « Novel » ou « Short Story »
- `original_publication_date` (string, optional, nullable) — La date de publication d’origine du projet.
- `mature_content` (boolean, optional, nullable) — Indique si le projet contient du contenu pour adultes.
- `isbn_number` (string, optional, nullable) — Le numéro ISBN du projet.
- `fiction` (enum, optional, nullable) — Indique si le projet est une œuvre de fiction.
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — Métadonnées de création du projet.
- `source_type` (enum, optional, nullable) — Le type de source du projet.
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — Indique si les chapitres sont activés pour le projet.
- `captions_enabled` (boolean, optional, nullable, default: true) — Indique si les légendes sont activées pour le projet.
- `caption_style` (CaptionStyleModel, optional, nullable) — Style global à appliquer à tous les sous-titres.
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — Modifications de style apportées aux modèles fournis
- `public_share_id` (string, optional, nullable) — L’ID de partage public du projet.
- `aspect_ratio` (enum, optional, nullable) — Format du projet.
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — Paramètres liés à l'agent pour le projet

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### PodcastConversationMode

- `type` ("conversation", required) — Le type de podcast à créer.
- `conversation` (PodcastConversationModeData, required) — Les paramètres vocaux de la conversation.

### PodcastBulletinMode

- `type` ("bulletin", required) — Le type de podcast à créer.
- `bulletin` (PodcastBulletinModeData, required) — Les paramètres vocaux du bulletin.

### PodcastTextSource

- `type` ("text", required) — Le type de source à créer.
- `text` (string, required) — Le texte à partir duquel créer le podcast.

### PodcastURLSource

- `type` ("url", required) — Le type de source à créer.
- `url` (string, required) — L’URL à partir de laquelle créer le podcast.

### BodyCreatePodcastV1StudioPodcastsPostSourceOneOf2Items

- PodcastTextSource: PodcastTextSource
- PodcastURLSource: PodcastURLSource

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — La progression de la création du projet.
- `status` (enum, required) — L'état de l'action de création du projet.
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — Le type d’action de création du projet.
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### ValidationErrorLocItems

- string
- integer

### PodcastConversationModeData

- `host_voice_id` (string, required) — L’ID de la voix hôte.
- `guest_voice_id` (string, required) — L’ID de la voix invitée.

### PodcastBulletinModeData

- `host_voice_id` (string, required) — L’ID de la voix hôte.

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

## Examples

**Request**

```json
{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}
```

**Response**

```json
{
  "project": {
    "project_id": "aw1NgEzBg83R7vgmiJt6",
    "name": "My Project",
    "create_date_unix": 1714204800,
    "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
    "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_model_id": "eleven_multilingual_v2",
    "can_be_downloaded": true,
    "volume_normalization": true,
    "state": "default",
    "access_level": "viewer",
    "quality_check_on": false,
    "quality_check_on_when_bulk_convert": false,
    "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "last_conversion_date_unix": 1714204800,
    "title": "My Project",
    "author": "John Doe",
    "description": "This is a description of my project.",
    "genres": [
      "Novel",
      "Short Story"
    ],
    "cover_image_url": "https://example.com/cover.jpg",
    "target_audience": "young adult",
    "language": "en",
    "content_type": "Novel",
    "original_publication_date": "2025-01-01",
    "mature_content": false,
    "isbn_number": "978-90-274-3964-2",
    "fiction": "fiction",
    "creation_meta": {
      "creation_progress": 0.5,
      "status": "pending",
      "type": "blank"
    },
    "public_share_id": "abc123def456789"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/podcasts"

payload = {
    "model_id": "eleven_multilingual_v2",
    "mode": {
        "conversation": {
            "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
            "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
        },
        "type": "conversation"
    },
    "source": {
        "type": "url",
        "url": "https://en.wikipedia.org/wiki/Cognitive_science"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/podcasts';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"model_id":"eleven_multilingual_v2","mode":{"conversation":{"guest_voice_id":"bYTqZQo3Jz7LQtmGTgwi","host_voice_id":"6lCwbsX1yVjD49QmpkTR"},"type":"conversation"},"source":{"type":"url","url":"https://en.wikipedia.org/wiki/Cognitive_science"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/podcasts"

	payload := strings.NewReader("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/podcasts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/studio/podcasts")
  .header("Content-Type", "application/json")
  .body("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/studio/podcasts', [
  'body' => '{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/podcasts");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "model_id": "eleven_multilingual_v2",
  "mode": [
    "conversation": [
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    ],
    "type": "conversation"
  ],
  "source": [
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/podcasts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```